# IMIVライブラリ拡張（XMLスキーマ生成）

## ライブラリのビルド
以下のコマンドを実行
1. npm install
1. npm run build
1. imi-lib-2017-xsd.jsができていることを確認

## 使用方法

### ライブラリの読み込み
    <script src="./imi-lib-2017-xsd.js"></script>

### コア語彙のimiv語彙定義テキストをXMLスキーマに変換する
'''
var xsd = new IMILib2017XSD.Vocabulary(xsdImiv, false);
var ic = new IMILib2017XSD.Vocabulary(core241imiv, false, xsd);
var schema = ic.toXsd();
'''

## 関数の説明

### IMILib2017.XSD.Vocabulary(ivd, bc, vocabulary)
@param ivd {string} IMIV語彙定義テキスト
@param bc {boolean} 後方互換フラグ（deprecatedとなっている要素を処理するかどうか）
@param vocabulary {IMILib2017.XSD.Vocabulary} 継承させるVocabularyオブジェクト

### IMILib2017.XSD.Vocabulary.toXsd()
@return {string} XMLスキーマ

