#!/bin/node
var IMILib2017Common = require('./lib/imi-lib-2017-common');
var IMILib2017Ext = require('./index');
var _ = IMILib2017Ext.Util.lodash;
var fs = require("fs");
var dir = __dirname + "/test/test-vocabulary/";
//var xsd = new IMILib2017Common.Vocabulary(fs.readFileSync(dir + "xsd.imiv", "UTF-8").replace(/^\uFEFF/, ""));
//var core = new IMILib2017Common.Vocabulary(fs.readFileSync(dir + "xsd.imiv", "UTF-8").replace(/^\uFEFF/, ""), xsd);
//var imicoreXsd = fs.readFileSync(dir + "imicore242.xsd", "UTF-8");

var xsd = new IMILib2017Ext.Pmml(fs.readFileSync(dir + "xsd.imiv", "UTF-8").replace(/^\uFEFF/, ""));
//console.log(`keys of core :: ${Object.keys(xsd)}`);
var core = new IMILib2017Ext.Pmml(fs.readFileSync(dir + "imicore242.imiv", "UTF-8").replace(/^\uFEFF/, ""), xsd, false);
//console.log(`keys of core :: ${Object.keys(core)}`);


var pd6943 = fs.readFileSync(dir + "PD6943.zip", "UTF-8");
var pd6943Dmd = new IMILib2017Common.DMD();

fs.readFile(dir + "PD6943.zip", function(err, data) {
    (new IMILib2017Common.DMD()).load(data).then(dmd => {
        dmd.validate().then(err => {
            if(err.length === 0) {
                console.log('load dmd');
                core.setDmd(dmd);
            } else {
                console.log('wrong dmd');
            }

            let test = core.toPmml();
            fs.writeFileSync("output/pmml-test.xml", test);
            console.log(test);
        })
    });
});

//test
//var output = core.toPmml();
//core.setDmd('hogehoge');
//console.log(core.getDmd());
//console.log(output);
